summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Mauderer2015-06-11 22:00:25 +0200
committerChristian Mauderer2015-06-11 22:00:25 +0200
commit49c1d456657cd172f80dc1d869440eaf0d09391c (patch)
treef661f59509c36c53766ab47fcb7fa784dba81c41
downloadaur-49c1d456657cd172f80dc1d869440eaf0d09391c.tar.gz
AUR3-Import.
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD35
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a972f3e696a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = perl-string-compare
+ pkgdesc = String::Compare - Compare two strings and return how much they are alike
+ pkgver = 0.4
+ pkgrel = 1
+ url = http://search.cpan.org/dist/String-Compare
+ arch = any
+ license = GPL
+ license = PerlArtistic
+ depends = perl>=5.10.0
+ options = !emptydirs
+ source = http://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-0.4.tar.gz
+ md5sums = 0a5ba97f0a071dd23c0ebe1b8ef4c2c3
+
+pkgname = perl-string-compare
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..920472057cc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Christian Mauderer <c_mauderer[at]yahoo[dot]de>
+
+pkgname=perl-string-compare
+pkgver=0.4
+pkgrel=1
+pkgdesc="String::Compare - Compare two strings and return how much they are alike"
+arch=('any')
+url="http://search.cpan.org/dist/String-Compare"
+license=('GPL' 'PerlArtistic')
+depends=('perl>=5.10.0')
+makedepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=('!emptydirs')
+install=
+source=("http://search.cpan.org/CPAN/authors/id/D/DR/DRUOSO/String-Compare-${pkgver}.tar.gz")
+md5sums=('0a5ba97f0a071dd23c0ebe1b8ef4c2c3')
+
+build() {
+ cd $srcdir/String-Compare-$pkgver
+
+ # Setting these env variables overwrites any command-line-options we don't want...
+ export PERL_MM_USE_DEFAULT=1 PERL_AUTOINSTALL=--skipdeps \
+ PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR='$pkgdir'" \
+ PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \
+ MODULEBUILDRC=/dev/null
+
+ { /usr/bin/perl Makefile.PL &&
+ make &&
+ make test &&
+ make install; } || return 1
+}
+